### Method

# FwupdPlugin Firmware set_id

since: 1.6.0

#### Declaration [src]

    void
    fu_firmware_set_id (
      FuFirmware* self,
      const gchar* id
    )

#### Description

No description available.

Available since: 1.6.0

#### Parameters

`id`

  Type: `const gchar*`

  Image ID, e.g. `config`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.